gnutls_privkey_import_ecc_raw(3)

NAME
gnutls_privkey_import_ecc_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_import_ecc_raw(gnutls_privkey_t key, gnutls_ecc_curve_t curve, const gnutls_datum_t * x, const gnutls_datum_t * y, const gnutls_datum_t * k);

ARGUMENTS

gnutls_privkey_t key
    The key

gnutls_ecc_curve_t curve
    holds the curve

const gnutls_datum_t * x
    holds the x-coordinate

const gnutls_datum_t * y
    holds the y-coordinate

const gnutls_datum_t * k
    holds the k (private key)

DESCRIPTION
This function will convert the given elliptic curve parameters to the native gnutls_privkey_t format. The output will be stored in key . In EdDSA curves the y parameter should be NULL and the x and k parameters must be in the native format for the curve.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/